package java.util.logging;

import java.security.BasicPermission;

public final class LoggingPermission extends BasicPermission
{
    private static final long serialVersionUID = 63564341580231582L;
    
    public LoggingPermission(String s, String str) throws IllegalArgumentException {
        super(s);
        if (!s.equals("control")) {
            throw new IllegalArgumentException("name: " + s);
        }
        if (str != null && str.length() > 0) {
            throw new IllegalArgumentException("actions: " + str);
        }
        return;
    }
}
